BundleStartLevelDTO
Date: 2016-06-24

org.osgi.framework.startlevel.dto

## Class BundleStartLevelDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.framework.startlevel.dto.BundleStartLevelDTO

-     public class BundleStartLevelDTO
      extends DTO

  Data Transfer Object for a BundleStartLevel.

  An installed Bundle can be adapted to provide a `BundleStartLevelDTO` for the Bundle.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `activationPolicyUsed` The bundle's autostart setting indicates that the activation policy declared in the bundle manifest must be used.
    `long` | `bundle` The id of the bundle associated with this start level.
    `boolean` | `persistentlyStarted` The bundle's autostart setting indicates it must be started.
    `int` | `startLevel` The assigned start level value for the bundle.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BundleStartLevelDTO()`

  - ### Method Summary

    - ### Methods inherited from class org.osgi.dto.DTO

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### bundle

          public long bundle

      The id of the bundle associated with this start level.
      See Also:
        `BundleReference.getBundle()`

    - #### startLevel

          public int startLevel

      The assigned start level value for the bundle.
      See Also:
        `BundleStartLevel.getStartLevel()`

    - #### activationPolicyUsed

          public boolean activationPolicyUsed

      The bundle's autostart setting indicates that the activation policy declared in the bundle manifest must be used.
      See Also:
        `BundleStartLevel.isActivationPolicyUsed()`

    - #### persistentlyStarted

          public boolean persistentlyStarted

      The bundle's autostart setting indicates it must be started.
      See Also:
        `BundleStartLevel.isPersistentlyStarted()`

  - ### Constructor Detail

    - #### BundleStartLevelDTO

          public BundleStartLevelDTO()